Package twisted :: Package web :: Module widgets :: Class Page |
[frames | no frames]

## Class Page

      Widget --+
               |
    Presentation --+
                   |
        Resource --+
                   |
                  Page

Known Subclasses:
  `AuthPage`, `WidgetPage`

Method Summary
| ``__init__`(self)` Initialize.
| ``render`(self, request)` Render a given resource.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
Inherited from Presentation
| ``addClassVars`(self, namespace, Class)`
| ``addVariables`(self, namespace, request)`
| ``display`(self, request)` Implement me to represent your widget.
| ``formatTraceback`(self, tb)`
| ``prePresent`(self, request)` Perform any tasks which must be done before presenting the page.
| ``streamCall`(self, call, *args, **kw)` Utility: Call a method like StreamWidget's 'stream'.
Inherited from Widget
| ``getTitle`(self, request)`

Class Variable Summary
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`int` | `isLeaf` = 0
`NoneType` | `server` = None
Inherited from Presentation
`str` | `template` = `'\n Hello, %%%%world%%%%.\n '`
`str` | `world` = `"you didn't assign to the 'template' attribute"`
Inherited from Widget
`NoneType` | `title` = None

Method Details

### __init__(self) (Constructor) Initialize. Overrides: `twisted.web.resource.Resource.__init__` (inherited documentation)

### render(self, request) Render a given resource. This must be implemented in all subclasses of Resource. The return value of this method will be the rendered page, unless the return value is twisted.web.server.NOT_DONE_YET, in which case it is this class's responsibility to write the results to request.write(data), then call request.finish(). Overrides: `twisted.web.resource.Resource.render` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:55:07 2003 | http://epydoc.sf.net